Package org.opencv.videoio

## Class Videoio

- java.lang.Object
- - org.opencv.videoio.Videoio

-     public class Videoio
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CAP_ANDROID` |
    `static int` | `CAP_ANY` |
    `static int` | `CAP_ARAVIS` |
    `static int` | `CAP_AVFOUNDATION` |
    `static int` | `CAP_CMU1394` |
    `static int` | `CAP_DC1394` |
    `static int` | `CAP_DSHOW` |
    `static int` | `CAP_FFMPEG` |
    `static int` | `CAP_FIREWARE` |
    `static int` | `CAP_FIREWIRE` |
    `static int` | `CAP_GIGANETIX` |
    `static int` | `CAP_GPHOTO2` |
    `static int` | `CAP_GSTREAMER` |
    `static int` | `CAP_IEEE1394` |
    `static int` | `CAP_IMAGES` |
    `static int` | `CAP_INTEL_MFX` |
    `static int` | `CAP_INTELPERC` |
    `static int` | `CAP_INTELPERC_DEPTH_GENERATOR` |
    `static int` | `CAP_INTELPERC_DEPTH_MAP` |
    `static int` | `CAP_INTELPERC_GENERATORS_MASK` |
    `static int` | `CAP_INTELPERC_IMAGE` |
    `static int` | `CAP_INTELPERC_IMAGE_GENERATOR` |
    `static int` | `CAP_INTELPERC_IR_GENERATOR` |
    `static int` | `CAP_INTELPERC_IR_MAP` |
    `static int` | `CAP_INTELPERC_UVDEPTH_MAP` |
    `static int` | `CAP_MSMF` |
    `static int` | `CAP_OPENCV_MJPEG` |
    `static int` | `CAP_OPENNI` |
    `static int` | `CAP_OPENNI_ASUS` |
    `static int` | `CAP_OPENNI_BGR_IMAGE` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR_BASELINE` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR_FOCAL_LENGTH` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR_PRESENT` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION` |
    `static int` | `CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION_ON` |
    `static int` | `CAP_OPENNI_DEPTH_MAP` |
    `static int` | `CAP_OPENNI_DISPARITY_MAP` |
    `static int` | `CAP_OPENNI_DISPARITY_MAP_32F` |
    `static int` | `CAP_OPENNI_GENERATORS_MASK` |
    `static int` | `CAP_OPENNI_GRAY_IMAGE` |
    `static int` | `CAP_OPENNI_IMAGE_GENERATOR` |
    `static int` | `CAP_OPENNI_IMAGE_GENERATOR_OUTPUT_MODE` |
    `static int` | `CAP_OPENNI_IMAGE_GENERATOR_PRESENT` |
    `static int` | `CAP_OPENNI_IR_GENERATOR` |
    `static int` | `CAP_OPENNI_IR_GENERATOR_PRESENT` |
    `static int` | `CAP_OPENNI_IR_IMAGE` |
    `static int` | `CAP_OPENNI_POINT_CLOUD_MAP` |
    `static int` | `CAP_OPENNI_QVGA_30HZ` |
    `static int` | `CAP_OPENNI_QVGA_60HZ` |
    `static int` | `CAP_OPENNI_SXGA_15HZ` |
    `static int` | `CAP_OPENNI_SXGA_30HZ` |
    `static int` | `CAP_OPENNI_VALID_DEPTH_MASK` |
    `static int` | `CAP_OPENNI_VGA_30HZ` |
    `static int` | `CAP_OPENNI2` |
    `static int` | `CAP_OPENNI2_ASUS` |
    `static int` | `CAP_PROP_APERTURE` |
    `static int` | `CAP_PROP_ARAVIS_AUTOTRIGGER` |
    `static int` | `CAP_PROP_AUTO_EXPOSURE` |
    `static int` | `CAP_PROP_AUTO_WB` |
    `static int` | `CAP_PROP_AUTOFOCUS` |
    `static int` | `CAP_PROP_BACKEND` |
    `static int` | `CAP_PROP_BACKLIGHT` |
    `static int` | `CAP_PROP_BITRATE` |
    `static int` | `CAP_PROP_BRIGHTNESS` |
    `static int` | `CAP_PROP_BUFFERSIZE` |
    `static int` | `CAP_PROP_CHANNEL` |
    `static int` | `CAP_PROP_CODEC_PIXEL_FORMAT` |
    `static int` | `CAP_PROP_CONTRAST` |
    `static int` | `CAP_PROP_CONVERT_RGB` |
    `static int` | `CAP_PROP_DC1394_MAX` |
    `static int` | `CAP_PROP_DC1394_MODE_AUTO` |
    `static int` | `CAP_PROP_DC1394_MODE_MANUAL` |
    `static int` | `CAP_PROP_DC1394_MODE_ONE_PUSH_AUTO` |
    `static int` | `CAP_PROP_DC1394_OFF` |
    `static int` | `CAP_PROP_EXPOSURE` |
    `static int` | `CAP_PROP_EXPOSUREPROGRAM` |
    `static int` | `CAP_PROP_FOCUS` |
    `static int` | `CAP_PROP_FORMAT` |
    `static int` | `CAP_PROP_FOURCC` |
    `static int` | `CAP_PROP_FPS` |
    `static int` | `CAP_PROP_FRAME_COUNT` |
    `static int` | `CAP_PROP_FRAME_HEIGHT` |
    `static int` | `CAP_PROP_FRAME_WIDTH` |
    `static int` | `CAP_PROP_GAIN` |
    `static int` | `CAP_PROP_GAMMA` |
    `static int` | `CAP_PROP_GIGA_FRAME_HEIGH_MAX` |
    `static int` | `CAP_PROP_GIGA_FRAME_OFFSET_X` |
    `static int` | `CAP_PROP_GIGA_FRAME_OFFSET_Y` |
    `static int` | `CAP_PROP_GIGA_FRAME_SENS_HEIGH` |
    `static int` | `CAP_PROP_GIGA_FRAME_SENS_WIDTH` |
    `static int` | `CAP_PROP_GIGA_FRAME_WIDTH_MAX` |
    `static int` | `CAP_PROP_GPHOTO2_COLLECT_MSGS` |
    `static int` | `CAP_PROP_GPHOTO2_FLUSH_MSGS` |
    `static int` | `CAP_PROP_GPHOTO2_PREVIEW` |
    `static int` | `CAP_PROP_GPHOTO2_RELOAD_CONFIG` |
    `static int` | `CAP_PROP_GPHOTO2_RELOAD_ON_CHANGE` |
    `static int` | `CAP_PROP_GPHOTO2_WIDGET_ENUMERATE` |
    `static int` | `CAP_PROP_GSTREAMER_QUEUE_LENGTH` |
    `static int` | `CAP_PROP_GUID` |
    `static int` | `CAP_PROP_HUE` |
    `static int` | `CAP_PROP_IMAGES_BASE` |
    `static int` | `CAP_PROP_IMAGES_LAST` |
    `static int` | `CAP_PROP_INTELPERC_DEPTH_CONFIDENCE_THRESHOLD` |
    `static int` | `CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_HORZ` |
    `static int` | `CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_VERT` |
    `static int` | `CAP_PROP_INTELPERC_DEPTH_LOW_CONFIDENCE_VALUE` |
    `static int` | `CAP_PROP_INTELPERC_DEPTH_SATURATION_VALUE` |
    `static int` | `CAP_PROP_INTELPERC_PROFILE_COUNT` |
    `static int` | `CAP_PROP_INTELPERC_PROFILE_IDX` |
    `static int` | `CAP_PROP_IOS_DEVICE_EXPOSURE` |
    `static int` | `CAP_PROP_IOS_DEVICE_FLASH` |
    `static int` | `CAP_PROP_IOS_DEVICE_FOCUS` |
    `static int` | `CAP_PROP_IOS_DEVICE_TORCH` |
    `static int` | `CAP_PROP_IOS_DEVICE_WHITEBALANCE` |
    `static int` | `CAP_PROP_IRIS` |
    `static int` | `CAP_PROP_ISO_SPEED` |
    `static int` | `CAP_PROP_MODE` |
    `static int` | `CAP_PROP_MONOCHROME` |
    `static int` | `CAP_PROP_OPENNI_APPROX_FRAME_SYNC` |
    `static int` | `CAP_PROP_OPENNI_BASELINE` |
    `static int` | `CAP_PROP_OPENNI_CIRCLE_BUFFER` |
    `static int` | `CAP_PROP_OPENNI_FOCAL_LENGTH` |
    `static int` | `CAP_PROP_OPENNI_FRAME_MAX_DEPTH` |
    `static int` | `CAP_PROP_OPENNI_GENERATOR_PRESENT` |
    `static int` | `CAP_PROP_OPENNI_MAX_BUFFER_SIZE` |
    `static int` | `CAP_PROP_OPENNI_MAX_TIME_DURATION` |
    `static int` | `CAP_PROP_OPENNI_OUTPUT_MODE` |
    `static int` | `CAP_PROP_OPENNI_REGISTRATION` |
    `static int` | `CAP_PROP_OPENNI_REGISTRATION_ON` |
    `static int` | `CAP_PROP_OPENNI2_MIRROR` |
    `static int` | `CAP_PROP_OPENNI2_SYNC` |
    `static int` | `CAP_PROP_PAN` |
    `static int` | `CAP_PROP_POS_AVI_RATIO` |
    `static int` | `CAP_PROP_POS_FRAMES` |
    `static int` | `CAP_PROP_POS_MSEC` |
    `static int` | `CAP_PROP_PVAPI_BINNINGX` |
    `static int` | `CAP_PROP_PVAPI_BINNINGY` |
    `static int` | `CAP_PROP_PVAPI_DECIMATIONHORIZONTAL` |
    `static int` | `CAP_PROP_PVAPI_DECIMATIONVERTICAL` |
    `static int` | `CAP_PROP_PVAPI_FRAMESTARTTRIGGERMODE` |
    `static int` | `CAP_PROP_PVAPI_MULTICASTIP` |
    `static int` | `CAP_PROP_PVAPI_PIXELFORMAT` |
    `static int` | `CAP_PROP_RECTIFICATION` |
    `static int` | `CAP_PROP_ROLL` |
    `static int` | `CAP_PROP_SAR_DEN` |
    `static int` | `CAP_PROP_SAR_NUM` |
    `static int` | `CAP_PROP_SATURATION` |
    `static int` | `CAP_PROP_SETTINGS` |
    `static int` | `CAP_PROP_SHARPNESS` |
    `static int` | `CAP_PROP_SPEED` |
    `static int` | `CAP_PROP_TEMPERATURE` |
    `static int` | `CAP_PROP_TILT` |
    `static int` | `CAP_PROP_TRIGGER` |
    `static int` | `CAP_PROP_TRIGGER_DELAY` |
    `static int` | `CAP_PROP_VIEWFINDER` |
    `static int` | `CAP_PROP_WB_TEMPERATURE` |
    `static int` | `CAP_PROP_WHITE_BALANCE_BLUE_U` |
    `static int` | `CAP_PROP_WHITE_BALANCE_RED_V` |
    `static int` | `CAP_PROP_XI_ACQ_BUFFER_SIZE` |
    `static int` | `CAP_PROP_XI_ACQ_BUFFER_SIZE_UNIT` |
    `static int` | `CAP_PROP_XI_ACQ_FRAME_BURST_COUNT` |
    `static int` | `CAP_PROP_XI_ACQ_TIMING_MODE` |
    `static int` | `CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_COMMIT` |
    `static int` | `CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_SIZE` |
    `static int` | `CAP_PROP_XI_AE_MAX_LIMIT` |
    `static int` | `CAP_PROP_XI_AEAG` |
    `static int` | `CAP_PROP_XI_AEAG_LEVEL` |
    `static int` | `CAP_PROP_XI_AEAG_ROI_HEIGHT` |
    `static int` | `CAP_PROP_XI_AEAG_ROI_OFFSET_X` |
    `static int` | `CAP_PROP_XI_AEAG_ROI_OFFSET_Y` |
    `static int` | `CAP_PROP_XI_AEAG_ROI_WIDTH` |
    `static int` | `CAP_PROP_XI_AG_MAX_LIMIT` |
    `static int` | `CAP_PROP_XI_APPLY_CMS` |
    `static int` | `CAP_PROP_XI_AUTO_BANDWIDTH_CALCULATION` |
    `static int` | `CAP_PROP_XI_AUTO_WB` |
    `static int` | `CAP_PROP_XI_AVAILABLE_BANDWIDTH` |
    `static int` | `CAP_PROP_XI_BINNING_HORIZONTAL` |
    `static int` | `CAP_PROP_XI_BINNING_PATTERN` |
    `static int` | `CAP_PROP_XI_BINNING_SELECTOR` |
    `static int` | `CAP_PROP_XI_BINNING_VERTICAL` |
    `static int` | `CAP_PROP_XI_BPC` |
    `static int` | `CAP_PROP_XI_BUFFER_POLICY` |
    `static int` | `CAP_PROP_XI_BUFFERS_QUEUE_SIZE` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_00` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_01` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_02` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_03` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_10` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_11` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_12` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_13` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_20` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_21` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_22` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_23` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_30` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_31` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_32` |
    `static int` | `CAP_PROP_XI_CC_MATRIX_33` |
    `static int` | `CAP_PROP_XI_CHIP_TEMP` |
    `static int` | `CAP_PROP_XI_CMS` |
    `static int` | `CAP_PROP_XI_COLOR_FILTER_ARRAY` |
    `static int` | `CAP_PROP_XI_COLUMN_FPN_CORRECTION` |
    `static int` | `CAP_PROP_XI_COOLING` |
    `static int` | `CAP_PROP_XI_COUNTER_SELECTOR` |
    `static int` | `CAP_PROP_XI_COUNTER_VALUE` |
    `static int` | `CAP_PROP_XI_DATA_FORMAT` |
    `static int` | `CAP_PROP_XI_DEBOUNCE_EN` |
    `static int` | `CAP_PROP_XI_DEBOUNCE_POL` |
    `static int` | `CAP_PROP_XI_DEBOUNCE_T0` |
    `static int` | `CAP_PROP_XI_DEBOUNCE_T1` |
    `static int` | `CAP_PROP_XI_DEBUG_LEVEL` |
    `static int` | `CAP_PROP_XI_DECIMATION_HORIZONTAL` |
    `static int` | `CAP_PROP_XI_DECIMATION_PATTERN` |
    `static int` | `CAP_PROP_XI_DECIMATION_SELECTOR` |
    `static int` | `CAP_PROP_XI_DECIMATION_VERTICAL` |
    `static int` | `CAP_PROP_XI_DEFAULT_CC_MATRIX` |
    `static int` | `CAP_PROP_XI_DEVICE_MODEL_ID` |
    `static int` | `CAP_PROP_XI_DEVICE_RESET` |
    `static int` | `CAP_PROP_XI_DEVICE_SN` |
    `static int` | `CAP_PROP_XI_DOWNSAMPLING` |
    `static int` | `CAP_PROP_XI_DOWNSAMPLING_TYPE` |
    `static int` | `CAP_PROP_XI_EXP_PRIORITY` |
    `static int` | `CAP_PROP_XI_EXPOSURE` |
    `static int` | `CAP_PROP_XI_EXPOSURE_BURST_COUNT` |
    `static int` | `CAP_PROP_XI_FFS_ACCESS_KEY` |
    `static int` | `CAP_PROP_XI_FFS_FILE_ID` |
    `static int` | `CAP_PROP_XI_FFS_FILE_SIZE` |
    `static int` | `CAP_PROP_XI_FRAMERATE` |
    `static int` | `CAP_PROP_XI_FREE_FFS_SIZE` |
    `static int` | `CAP_PROP_XI_GAIN` |
    `static int` | `CAP_PROP_XI_GAIN_SELECTOR` |
    `static int` | `CAP_PROP_XI_GAMMAC` |
    `static int` | `CAP_PROP_XI_GAMMAY` |
    `static int` | `CAP_PROP_XI_GPI_LEVEL` |
    `static int` | `CAP_PROP_XI_GPI_MODE` |
    `static int` | `CAP_PROP_XI_GPI_SELECTOR` |
    `static int` | `CAP_PROP_XI_GPO_MODE` |
    `static int` | `CAP_PROP_XI_GPO_SELECTOR` |
    `static int` | `CAP_PROP_XI_HDR` |
    `static int` | `CAP_PROP_XI_HDR_KNEEPOINT_COUNT` |
    `static int` | `CAP_PROP_XI_HDR_T1` |
    `static int` | `CAP_PROP_XI_HDR_T2` |
    `static int` | `CAP_PROP_XI_HEIGHT` |
    `static int` | `CAP_PROP_XI_HOUS_BACK_SIDE_TEMP` |
    `static int` | `CAP_PROP_XI_HOUS_TEMP` |
    `static int` | `CAP_PROP_XI_HW_REVISION` |
    `static int` | `CAP_PROP_XI_IMAGE_BLACK_LEVEL` |
    `static int` | `CAP_PROP_XI_IMAGE_DATA_BIT_DEPTH` |
    `static int` | `CAP_PROP_XI_IMAGE_DATA_FORMAT` |
    `static int` | `CAP_PROP_XI_IMAGE_DATA_FORMAT_RGB32_ALPHA` |
    `static int` | `CAP_PROP_XI_IMAGE_IS_COLOR` |
    `static int` | `CAP_PROP_XI_IMAGE_PAYLOAD_SIZE` |
    `static int` | `CAP_PROP_XI_IS_COOLED` |
    `static int` | `CAP_PROP_XI_IS_DEVICE_EXIST` |
    `static int` | `CAP_PROP_XI_KNEEPOINT1` |
    `static int` | `CAP_PROP_XI_KNEEPOINT2` |
    `static int` | `CAP_PROP_XI_LED_MODE` |
    `static int` | `CAP_PROP_XI_LED_SELECTOR` |
    `static int` | `CAP_PROP_XI_LENS_APERTURE_VALUE` |
    `static int` | `CAP_PROP_XI_LENS_FEATURE` |
    `static int` | `CAP_PROP_XI_LENS_FEATURE_SELECTOR` |
    `static int` | `CAP_PROP_XI_LENS_FOCAL_LENGTH` |
    `static int` | `CAP_PROP_XI_LENS_FOCUS_DISTANCE` |
    `static int` | `CAP_PROP_XI_LENS_FOCUS_MOVE` |
    `static int` | `CAP_PROP_XI_LENS_FOCUS_MOVEMENT_VALUE` |
    `static int` | `CAP_PROP_XI_LENS_MODE` |
    `static int` | `CAP_PROP_XI_LIMIT_BANDWIDTH` |
    `static int` | `CAP_PROP_XI_LUT_EN` |
    `static int` | `CAP_PROP_XI_LUT_INDEX` |
    `static int` | `CAP_PROP_XI_LUT_VALUE` |
    `static int` | `CAP_PROP_XI_MANUAL_WB` |
    `static int` | `CAP_PROP_XI_OFFSET_X` |
    `static int` | `CAP_PROP_XI_OFFSET_Y` |
    `static int` | `CAP_PROP_XI_OUTPUT_DATA_BIT_DEPTH` |
    `static int` | `CAP_PROP_XI_OUTPUT_DATA_PACKING` |
    `static int` | `CAP_PROP_XI_OUTPUT_DATA_PACKING_TYPE` |
    `static int` | `CAP_PROP_XI_RECENT_FRAME` |
    `static int` | `CAP_PROP_XI_REGION_MODE` |
    `static int` | `CAP_PROP_XI_REGION_SELECTOR` |
    `static int` | `CAP_PROP_XI_ROW_FPN_CORRECTION` |
    `static int` | `CAP_PROP_XI_SENSOR_BOARD_TEMP` |
    `static int` | `CAP_PROP_XI_SENSOR_CLOCK_FREQ_HZ` |
    `static int` | `CAP_PROP_XI_SENSOR_CLOCK_FREQ_INDEX` |
    `static int` | `CAP_PROP_XI_SENSOR_DATA_BIT_DEPTH` |
    `static int` | `CAP_PROP_XI_SENSOR_FEATURE_SELECTOR` |
    `static int` | `CAP_PROP_XI_SENSOR_FEATURE_VALUE` |
    `static int` | `CAP_PROP_XI_SENSOR_MODE` |
    `static int` | `CAP_PROP_XI_SENSOR_OUTPUT_CHANNEL_COUNT` |
    `static int` | `CAP_PROP_XI_SENSOR_TAPS` |
    `static int` | `CAP_PROP_XI_SHARPNESS` |
    `static int` | `CAP_PROP_XI_SHUTTER_TYPE` |
    `static int` | `CAP_PROP_XI_TARGET_TEMP` |
    `static int` | `CAP_PROP_XI_TEST_PATTERN` |
    `static int` | `CAP_PROP_XI_TEST_PATTERN_GENERATOR_SELECTOR` |
    `static int` | `CAP_PROP_XI_TIMEOUT` |
    `static int` | `CAP_PROP_XI_TRANSPORT_PIXEL_FORMAT` |
    `static int` | `CAP_PROP_XI_TRG_DELAY` |
    `static int` | `CAP_PROP_XI_TRG_SELECTOR` |
    `static int` | `CAP_PROP_XI_TRG_SOFTWARE` |
    `static int` | `CAP_PROP_XI_TRG_SOURCE` |
    `static int` | `CAP_PROP_XI_TS_RST_MODE` |
    `static int` | `CAP_PROP_XI_TS_RST_SOURCE` |
    `static int` | `CAP_PROP_XI_USED_FFS_SIZE` |
    `static int` | `CAP_PROP_XI_WB_KB` |
    `static int` | `CAP_PROP_XI_WB_KG` |
    `static int` | `CAP_PROP_XI_WB_KR` |
    `static int` | `CAP_PROP_XI_WIDTH` |
    `static int` | `CAP_PROP_ZOOM` |
    `static int` | `CAP_PVAPI` |
    `static int` | `CAP_PVAPI_DECIMATION_2OUTOF16` |
    `static int` | `CAP_PVAPI_DECIMATION_2OUTOF4` |
    `static int` | `CAP_PVAPI_DECIMATION_2OUTOF8` |
    `static int` | `CAP_PVAPI_DECIMATION_OFF` |
    `static int` | `CAP_PVAPI_FSTRIGMODE_FIXEDRATE` |
    `static int` | `CAP_PVAPI_FSTRIGMODE_FREERUN` |
    `static int` | `CAP_PVAPI_FSTRIGMODE_SOFTWARE` |
    `static int` | `CAP_PVAPI_FSTRIGMODE_SYNCIN1` |
    `static int` | `CAP_PVAPI_FSTRIGMODE_SYNCIN2` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_BAYER16` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_BAYER8` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_BGR24` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_BGRA32` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_MONO16` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_MONO8` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_RGB24` |
    `static int` | `CAP_PVAPI_PIXELFORMAT_RGBA32` |
    `static int` | `CAP_QT` |
    `static int` | `CAP_REALSENSE` |
    `static int` | `CAP_UNICAP` |
    `static int` | `CAP_V4L` |
    `static int` | `CAP_V4L2` |
    `static int` | `CAP_VFW` |
    `static int` | `CAP_WINRT` |
    `static int` | `CAP_XIAPI` |
    `static int` | `CAP_XINE` |
    `static int` | `VIDEOWRITER_PROP_FRAMEBYTES` |
    `static int` | `VIDEOWRITER_PROP_NSTRIPES` |
    `static int` | `VIDEOWRITER_PROP_QUALITY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Videoio()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getBackendName​(int api)` | Returns backend API name or "UnknownVideoAPI(xxx)"

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VIDEOWRITER_PROP_QUALITY

          public static final int VIDEOWRITER_PROP_QUALITY

      See Also:
        Constant Field Values

    - #### VIDEOWRITER_PROP_FRAMEBYTES

          public static final int VIDEOWRITER_PROP_FRAMEBYTES

      See Also:
        Constant Field Values

    - #### VIDEOWRITER_PROP_NSTRIPES

          public static final int VIDEOWRITER_PROP_NSTRIPES

      See Also:
        Constant Field Values

    - #### CAP_PROP_DC1394_OFF

          public static final int CAP_PROP_DC1394_OFF

      See Also:
        Constant Field Values

    - #### CAP_PROP_DC1394_MODE_MANUAL

          public static final int CAP_PROP_DC1394_MODE_MANUAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_DC1394_MODE_AUTO

          public static final int CAP_PROP_DC1394_MODE_AUTO

      See Also:
        Constant Field Values

    - #### CAP_PROP_DC1394_MODE_ONE_PUSH_AUTO

          public static final int CAP_PROP_DC1394_MODE_ONE_PUSH_AUTO

      See Also:
        Constant Field Values

    - #### CAP_PROP_DC1394_MAX

          public static final int CAP_PROP_DC1394_MAX

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR

          public static final int CAP_OPENNI_DEPTH_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IMAGE_GENERATOR

          public static final int CAP_OPENNI_IMAGE_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IR_GENERATOR

          public static final int CAP_OPENNI_IR_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_GENERATORS_MASK

          public static final int CAP_OPENNI_GENERATORS_MASK

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_OUTPUT_MODE

          public static final int CAP_PROP_OPENNI_OUTPUT_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_FRAME_MAX_DEPTH

          public static final int CAP_PROP_OPENNI_FRAME_MAX_DEPTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_BASELINE

          public static final int CAP_PROP_OPENNI_BASELINE

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_FOCAL_LENGTH

          public static final int CAP_PROP_OPENNI_FOCAL_LENGTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_REGISTRATION

          public static final int CAP_PROP_OPENNI_REGISTRATION

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_REGISTRATION_ON

          public static final int CAP_PROP_OPENNI_REGISTRATION_ON

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_APPROX_FRAME_SYNC

          public static final int CAP_PROP_OPENNI_APPROX_FRAME_SYNC

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_MAX_BUFFER_SIZE

          public static final int CAP_PROP_OPENNI_MAX_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_CIRCLE_BUFFER

          public static final int CAP_PROP_OPENNI_CIRCLE_BUFFER

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_MAX_TIME_DURATION

          public static final int CAP_PROP_OPENNI_MAX_TIME_DURATION

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI_GENERATOR_PRESENT

          public static final int CAP_PROP_OPENNI_GENERATOR_PRESENT

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI2_SYNC

          public static final int CAP_PROP_OPENNI2_SYNC

      See Also:
        Constant Field Values

    - #### CAP_PROP_OPENNI2_MIRROR

          public static final int CAP_PROP_OPENNI2_MIRROR

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IMAGE_GENERATOR_PRESENT

          public static final int CAP_OPENNI_IMAGE_GENERATOR_PRESENT

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IMAGE_GENERATOR_OUTPUT_MODE

          public static final int CAP_OPENNI_IMAGE_GENERATOR_OUTPUT_MODE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR_PRESENT

          public static final int CAP_OPENNI_DEPTH_GENERATOR_PRESENT

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR_BASELINE

          public static final int CAP_OPENNI_DEPTH_GENERATOR_BASELINE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR_FOCAL_LENGTH

          public static final int CAP_OPENNI_DEPTH_GENERATOR_FOCAL_LENGTH

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION

          public static final int CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION_ON

          public static final int CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION_ON

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IR_GENERATOR_PRESENT

          public static final int CAP_OPENNI_IR_GENERATOR_PRESENT

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DEPTH_MAP

          public static final int CAP_OPENNI_DEPTH_MAP

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_POINT_CLOUD_MAP

          public static final int CAP_OPENNI_POINT_CLOUD_MAP

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DISPARITY_MAP

          public static final int CAP_OPENNI_DISPARITY_MAP

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_DISPARITY_MAP_32F

          public static final int CAP_OPENNI_DISPARITY_MAP_32F

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_VALID_DEPTH_MASK

          public static final int CAP_OPENNI_VALID_DEPTH_MASK

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_BGR_IMAGE

          public static final int CAP_OPENNI_BGR_IMAGE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_GRAY_IMAGE

          public static final int CAP_OPENNI_GRAY_IMAGE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_IR_IMAGE

          public static final int CAP_OPENNI_IR_IMAGE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_VGA_30HZ

          public static final int CAP_OPENNI_VGA_30HZ

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_SXGA_15HZ

          public static final int CAP_OPENNI_SXGA_15HZ

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_SXGA_30HZ

          public static final int CAP_OPENNI_SXGA_30HZ

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_QVGA_30HZ

          public static final int CAP_OPENNI_QVGA_30HZ

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_QVGA_60HZ

          public static final int CAP_OPENNI_QVGA_60HZ

      See Also:
        Constant Field Values

    - #### CAP_PROP_GSTREAMER_QUEUE_LENGTH

          public static final int CAP_PROP_GSTREAMER_QUEUE_LENGTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_MULTICASTIP

          public static final int CAP_PROP_PVAPI_MULTICASTIP

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_FRAMESTARTTRIGGERMODE

          public static final int CAP_PROP_PVAPI_FRAMESTARTTRIGGERMODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_DECIMATIONHORIZONTAL

          public static final int CAP_PROP_PVAPI_DECIMATIONHORIZONTAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_DECIMATIONVERTICAL

          public static final int CAP_PROP_PVAPI_DECIMATIONVERTICAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_BINNINGX

          public static final int CAP_PROP_PVAPI_BINNINGX

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_BINNINGY

          public static final int CAP_PROP_PVAPI_BINNINGY

      See Also:
        Constant Field Values

    - #### CAP_PROP_PVAPI_PIXELFORMAT

          public static final int CAP_PROP_PVAPI_PIXELFORMAT

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_FSTRIGMODE_FREERUN

          public static final int CAP_PVAPI_FSTRIGMODE_FREERUN

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_FSTRIGMODE_SYNCIN1

          public static final int CAP_PVAPI_FSTRIGMODE_SYNCIN1

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_FSTRIGMODE_SYNCIN2

          public static final int CAP_PVAPI_FSTRIGMODE_SYNCIN2

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_FSTRIGMODE_FIXEDRATE

          public static final int CAP_PVAPI_FSTRIGMODE_FIXEDRATE

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_FSTRIGMODE_SOFTWARE

          public static final int CAP_PVAPI_FSTRIGMODE_SOFTWARE

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_DECIMATION_OFF

          public static final int CAP_PVAPI_DECIMATION_OFF

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_DECIMATION_2OUTOF4

          public static final int CAP_PVAPI_DECIMATION_2OUTOF4

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_DECIMATION_2OUTOF8

          public static final int CAP_PVAPI_DECIMATION_2OUTOF8

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_DECIMATION_2OUTOF16

          public static final int CAP_PVAPI_DECIMATION_2OUTOF16

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_MONO8

          public static final int CAP_PVAPI_PIXELFORMAT_MONO8

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_MONO16

          public static final int CAP_PVAPI_PIXELFORMAT_MONO16

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_BAYER8

          public static final int CAP_PVAPI_PIXELFORMAT_BAYER8

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_BAYER16

          public static final int CAP_PVAPI_PIXELFORMAT_BAYER16

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_RGB24

          public static final int CAP_PVAPI_PIXELFORMAT_RGB24

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_BGR24

          public static final int CAP_PVAPI_PIXELFORMAT_BGR24

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_RGBA32

          public static final int CAP_PVAPI_PIXELFORMAT_RGBA32

      See Also:
        Constant Field Values

    - #### CAP_PVAPI_PIXELFORMAT_BGRA32

          public static final int CAP_PVAPI_PIXELFORMAT_BGRA32

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DOWNSAMPLING

          public static final int CAP_PROP_XI_DOWNSAMPLING

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DATA_FORMAT

          public static final int CAP_PROP_XI_DATA_FORMAT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_OFFSET_X

          public static final int CAP_PROP_XI_OFFSET_X

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_OFFSET_Y

          public static final int CAP_PROP_XI_OFFSET_Y

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TRG_SOURCE

          public static final int CAP_PROP_XI_TRG_SOURCE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TRG_SOFTWARE

          public static final int CAP_PROP_XI_TRG_SOFTWARE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GPI_SELECTOR

          public static final int CAP_PROP_XI_GPI_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GPI_MODE

          public static final int CAP_PROP_XI_GPI_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GPI_LEVEL

          public static final int CAP_PROP_XI_GPI_LEVEL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GPO_SELECTOR

          public static final int CAP_PROP_XI_GPO_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GPO_MODE

          public static final int CAP_PROP_XI_GPO_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LED_SELECTOR

          public static final int CAP_PROP_XI_LED_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LED_MODE

          public static final int CAP_PROP_XI_LED_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_MANUAL_WB

          public static final int CAP_PROP_XI_MANUAL_WB

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AUTO_WB

          public static final int CAP_PROP_XI_AUTO_WB

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG

          public static final int CAP_PROP_XI_AEAG

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_EXP_PRIORITY

          public static final int CAP_PROP_XI_EXP_PRIORITY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AE_MAX_LIMIT

          public static final int CAP_PROP_XI_AE_MAX_LIMIT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AG_MAX_LIMIT

          public static final int CAP_PROP_XI_AG_MAX_LIMIT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG_LEVEL

          public static final int CAP_PROP_XI_AEAG_LEVEL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TIMEOUT

          public static final int CAP_PROP_XI_TIMEOUT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_EXPOSURE

          public static final int CAP_PROP_XI_EXPOSURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_EXPOSURE_BURST_COUNT

          public static final int CAP_PROP_XI_EXPOSURE_BURST_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GAIN_SELECTOR

          public static final int CAP_PROP_XI_GAIN_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GAIN

          public static final int CAP_PROP_XI_GAIN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DOWNSAMPLING_TYPE

          public static final int CAP_PROP_XI_DOWNSAMPLING_TYPE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BINNING_SELECTOR

          public static final int CAP_PROP_XI_BINNING_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BINNING_VERTICAL

          public static final int CAP_PROP_XI_BINNING_VERTICAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BINNING_HORIZONTAL

          public static final int CAP_PROP_XI_BINNING_HORIZONTAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BINNING_PATTERN

          public static final int CAP_PROP_XI_BINNING_PATTERN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DECIMATION_SELECTOR

          public static final int CAP_PROP_XI_DECIMATION_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DECIMATION_VERTICAL

          public static final int CAP_PROP_XI_DECIMATION_VERTICAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DECIMATION_HORIZONTAL

          public static final int CAP_PROP_XI_DECIMATION_HORIZONTAL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DECIMATION_PATTERN

          public static final int CAP_PROP_XI_DECIMATION_PATTERN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TEST_PATTERN_GENERATOR_SELECTOR

          public static final int CAP_PROP_XI_TEST_PATTERN_GENERATOR_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TEST_PATTERN

          public static final int CAP_PROP_XI_TEST_PATTERN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_DATA_FORMAT

          public static final int CAP_PROP_XI_IMAGE_DATA_FORMAT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SHUTTER_TYPE

          public static final int CAP_PROP_XI_SHUTTER_TYPE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_TAPS

          public static final int CAP_PROP_XI_SENSOR_TAPS

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG_ROI_OFFSET_X

          public static final int CAP_PROP_XI_AEAG_ROI_OFFSET_X

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG_ROI_OFFSET_Y

          public static final int CAP_PROP_XI_AEAG_ROI_OFFSET_Y

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG_ROI_WIDTH

          public static final int CAP_PROP_XI_AEAG_ROI_WIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AEAG_ROI_HEIGHT

          public static final int CAP_PROP_XI_AEAG_ROI_HEIGHT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BPC

          public static final int CAP_PROP_XI_BPC

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_WB_KR

          public static final int CAP_PROP_XI_WB_KR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_WB_KG

          public static final int CAP_PROP_XI_WB_KG

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_WB_KB

          public static final int CAP_PROP_XI_WB_KB

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_WIDTH

          public static final int CAP_PROP_XI_WIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HEIGHT

          public static final int CAP_PROP_XI_HEIGHT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_REGION_SELECTOR

          public static final int CAP_PROP_XI_REGION_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_REGION_MODE

          public static final int CAP_PROP_XI_REGION_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LIMIT_BANDWIDTH

          public static final int CAP_PROP_XI_LIMIT_BANDWIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_DATA_BIT_DEPTH

          public static final int CAP_PROP_XI_SENSOR_DATA_BIT_DEPTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_OUTPUT_DATA_BIT_DEPTH

          public static final int CAP_PROP_XI_OUTPUT_DATA_BIT_DEPTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_DATA_BIT_DEPTH

          public static final int CAP_PROP_XI_IMAGE_DATA_BIT_DEPTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_OUTPUT_DATA_PACKING

          public static final int CAP_PROP_XI_OUTPUT_DATA_PACKING

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_OUTPUT_DATA_PACKING_TYPE

          public static final int CAP_PROP_XI_OUTPUT_DATA_PACKING_TYPE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IS_COOLED

          public static final int CAP_PROP_XI_IS_COOLED

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_COOLING

          public static final int CAP_PROP_XI_COOLING

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TARGET_TEMP

          public static final int CAP_PROP_XI_TARGET_TEMP

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CHIP_TEMP

          public static final int CAP_PROP_XI_CHIP_TEMP

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HOUS_TEMP

          public static final int CAP_PROP_XI_HOUS_TEMP

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HOUS_BACK_SIDE_TEMP

          public static final int CAP_PROP_XI_HOUS_BACK_SIDE_TEMP

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_BOARD_TEMP

          public static final int CAP_PROP_XI_SENSOR_BOARD_TEMP

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CMS

          public static final int CAP_PROP_XI_CMS

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_APPLY_CMS

          public static final int CAP_PROP_XI_APPLY_CMS

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_IS_COLOR

          public static final int CAP_PROP_XI_IMAGE_IS_COLOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_COLOR_FILTER_ARRAY

          public static final int CAP_PROP_XI_COLOR_FILTER_ARRAY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GAMMAY

          public static final int CAP_PROP_XI_GAMMAY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_GAMMAC

          public static final int CAP_PROP_XI_GAMMAC

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SHARPNESS

          public static final int CAP_PROP_XI_SHARPNESS

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_00

          public static final int CAP_PROP_XI_CC_MATRIX_00

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_01

          public static final int CAP_PROP_XI_CC_MATRIX_01

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_02

          public static final int CAP_PROP_XI_CC_MATRIX_02

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_03

          public static final int CAP_PROP_XI_CC_MATRIX_03

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_10

          public static final int CAP_PROP_XI_CC_MATRIX_10

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_11

          public static final int CAP_PROP_XI_CC_MATRIX_11

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_12

          public static final int CAP_PROP_XI_CC_MATRIX_12

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_13

          public static final int CAP_PROP_XI_CC_MATRIX_13

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_20

          public static final int CAP_PROP_XI_CC_MATRIX_20

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_21

          public static final int CAP_PROP_XI_CC_MATRIX_21

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_22

          public static final int CAP_PROP_XI_CC_MATRIX_22

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_23

          public static final int CAP_PROP_XI_CC_MATRIX_23

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_30

          public static final int CAP_PROP_XI_CC_MATRIX_30

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_31

          public static final int CAP_PROP_XI_CC_MATRIX_31

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_32

          public static final int CAP_PROP_XI_CC_MATRIX_32

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_CC_MATRIX_33

          public static final int CAP_PROP_XI_CC_MATRIX_33

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEFAULT_CC_MATRIX

          public static final int CAP_PROP_XI_DEFAULT_CC_MATRIX

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TRG_SELECTOR

          public static final int CAP_PROP_XI_TRG_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_FRAME_BURST_COUNT

          public static final int CAP_PROP_XI_ACQ_FRAME_BURST_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEBOUNCE_EN

          public static final int CAP_PROP_XI_DEBOUNCE_EN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEBOUNCE_T0

          public static final int CAP_PROP_XI_DEBOUNCE_T0

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEBOUNCE_T1

          public static final int CAP_PROP_XI_DEBOUNCE_T1

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEBOUNCE_POL

          public static final int CAP_PROP_XI_DEBOUNCE_POL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_MODE

          public static final int CAP_PROP_XI_LENS_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_APERTURE_VALUE

          public static final int CAP_PROP_XI_LENS_APERTURE_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FOCUS_MOVEMENT_VALUE

          public static final int CAP_PROP_XI_LENS_FOCUS_MOVEMENT_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FOCUS_MOVE

          public static final int CAP_PROP_XI_LENS_FOCUS_MOVE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FOCUS_DISTANCE

          public static final int CAP_PROP_XI_LENS_FOCUS_DISTANCE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FOCAL_LENGTH

          public static final int CAP_PROP_XI_LENS_FOCAL_LENGTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FEATURE_SELECTOR

          public static final int CAP_PROP_XI_LENS_FEATURE_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LENS_FEATURE

          public static final int CAP_PROP_XI_LENS_FEATURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEVICE_MODEL_ID

          public static final int CAP_PROP_XI_DEVICE_MODEL_ID

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEVICE_SN

          public static final int CAP_PROP_XI_DEVICE_SN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_DATA_FORMAT_RGB32_ALPHA

          public static final int CAP_PROP_XI_IMAGE_DATA_FORMAT_RGB32_ALPHA

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_PAYLOAD_SIZE

          public static final int CAP_PROP_XI_IMAGE_PAYLOAD_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TRANSPORT_PIXEL_FORMAT

          public static final int CAP_PROP_XI_TRANSPORT_PIXEL_FORMAT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_CLOCK_FREQ_HZ

          public static final int CAP_PROP_XI_SENSOR_CLOCK_FREQ_HZ

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_CLOCK_FREQ_INDEX

          public static final int CAP_PROP_XI_SENSOR_CLOCK_FREQ_INDEX

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_OUTPUT_CHANNEL_COUNT

          public static final int CAP_PROP_XI_SENSOR_OUTPUT_CHANNEL_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_FRAMERATE

          public static final int CAP_PROP_XI_FRAMERATE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_COUNTER_SELECTOR

          public static final int CAP_PROP_XI_COUNTER_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_COUNTER_VALUE

          public static final int CAP_PROP_XI_COUNTER_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_TIMING_MODE

          public static final int CAP_PROP_XI_ACQ_TIMING_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AVAILABLE_BANDWIDTH

          public static final int CAP_PROP_XI_AVAILABLE_BANDWIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BUFFER_POLICY

          public static final int CAP_PROP_XI_BUFFER_POLICY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LUT_EN

          public static final int CAP_PROP_XI_LUT_EN

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LUT_INDEX

          public static final int CAP_PROP_XI_LUT_INDEX

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_LUT_VALUE

          public static final int CAP_PROP_XI_LUT_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TRG_DELAY

          public static final int CAP_PROP_XI_TRG_DELAY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TS_RST_MODE

          public static final int CAP_PROP_XI_TS_RST_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_TS_RST_SOURCE

          public static final int CAP_PROP_XI_TS_RST_SOURCE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IS_DEVICE_EXIST

          public static final int CAP_PROP_XI_IS_DEVICE_EXIST

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_BUFFER_SIZE

          public static final int CAP_PROP_XI_ACQ_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_BUFFER_SIZE_UNIT

          public static final int CAP_PROP_XI_ACQ_BUFFER_SIZE_UNIT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_SIZE

          public static final int CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_BUFFERS_QUEUE_SIZE

          public static final int CAP_PROP_XI_BUFFERS_QUEUE_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_COMMIT

          public static final int CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_COMMIT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_RECENT_FRAME

          public static final int CAP_PROP_XI_RECENT_FRAME

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEVICE_RESET

          public static final int CAP_PROP_XI_DEVICE_RESET

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_COLUMN_FPN_CORRECTION

          public static final int CAP_PROP_XI_COLUMN_FPN_CORRECTION

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_ROW_FPN_CORRECTION

          public static final int CAP_PROP_XI_ROW_FPN_CORRECTION

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_MODE

          public static final int CAP_PROP_XI_SENSOR_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HDR

          public static final int CAP_PROP_XI_HDR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HDR_KNEEPOINT_COUNT

          public static final int CAP_PROP_XI_HDR_KNEEPOINT_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HDR_T1

          public static final int CAP_PROP_XI_HDR_T1

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HDR_T2

          public static final int CAP_PROP_XI_HDR_T2

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_KNEEPOINT1

          public static final int CAP_PROP_XI_KNEEPOINT1

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_KNEEPOINT2

          public static final int CAP_PROP_XI_KNEEPOINT2

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_IMAGE_BLACK_LEVEL

          public static final int CAP_PROP_XI_IMAGE_BLACK_LEVEL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_HW_REVISION

          public static final int CAP_PROP_XI_HW_REVISION

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_DEBUG_LEVEL

          public static final int CAP_PROP_XI_DEBUG_LEVEL

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_AUTO_BANDWIDTH_CALCULATION

          public static final int CAP_PROP_XI_AUTO_BANDWIDTH_CALCULATION

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_FFS_FILE_ID

          public static final int CAP_PROP_XI_FFS_FILE_ID

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_FFS_FILE_SIZE

          public static final int CAP_PROP_XI_FFS_FILE_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_FREE_FFS_SIZE

          public static final int CAP_PROP_XI_FREE_FFS_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_USED_FFS_SIZE

          public static final int CAP_PROP_XI_USED_FFS_SIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_FFS_ACCESS_KEY

          public static final int CAP_PROP_XI_FFS_ACCESS_KEY

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_FEATURE_SELECTOR

          public static final int CAP_PROP_XI_SENSOR_FEATURE_SELECTOR

      See Also:
        Constant Field Values

    - #### CAP_PROP_XI_SENSOR_FEATURE_VALUE

          public static final int CAP_PROP_XI_SENSOR_FEATURE_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_ARAVIS_AUTOTRIGGER

          public static final int CAP_PROP_ARAVIS_AUTOTRIGGER

      See Also:
        Constant Field Values

    - #### CAP_PROP_IOS_DEVICE_FOCUS

          public static final int CAP_PROP_IOS_DEVICE_FOCUS

      See Also:
        Constant Field Values

    - #### CAP_PROP_IOS_DEVICE_EXPOSURE

          public static final int CAP_PROP_IOS_DEVICE_EXPOSURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_IOS_DEVICE_FLASH

          public static final int CAP_PROP_IOS_DEVICE_FLASH

      See Also:
        Constant Field Values

    - #### CAP_PROP_IOS_DEVICE_WHITEBALANCE

          public static final int CAP_PROP_IOS_DEVICE_WHITEBALANCE

      See Also:
        Constant Field Values

    - #### CAP_PROP_IOS_DEVICE_TORCH

          public static final int CAP_PROP_IOS_DEVICE_TORCH

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_OFFSET_X

          public static final int CAP_PROP_GIGA_FRAME_OFFSET_X

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_OFFSET_Y

          public static final int CAP_PROP_GIGA_FRAME_OFFSET_Y

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_WIDTH_MAX

          public static final int CAP_PROP_GIGA_FRAME_WIDTH_MAX

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_HEIGH_MAX

          public static final int CAP_PROP_GIGA_FRAME_HEIGH_MAX

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_SENS_WIDTH

          public static final int CAP_PROP_GIGA_FRAME_SENS_WIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_GIGA_FRAME_SENS_HEIGH

          public static final int CAP_PROP_GIGA_FRAME_SENS_HEIGH

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_PROFILE_COUNT

          public static final int CAP_PROP_INTELPERC_PROFILE_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_PROFILE_IDX

          public static final int CAP_PROP_INTELPERC_PROFILE_IDX

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_DEPTH_LOW_CONFIDENCE_VALUE

          public static final int CAP_PROP_INTELPERC_DEPTH_LOW_CONFIDENCE_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_DEPTH_SATURATION_VALUE

          public static final int CAP_PROP_INTELPERC_DEPTH_SATURATION_VALUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_DEPTH_CONFIDENCE_THRESHOLD

          public static final int CAP_PROP_INTELPERC_DEPTH_CONFIDENCE_THRESHOLD

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_HORZ

          public static final int CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_HORZ

      See Also:
        Constant Field Values

    - #### CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_VERT

          public static final int CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_VERT

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_DEPTH_GENERATOR

          public static final int CAP_INTELPERC_DEPTH_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_IMAGE_GENERATOR

          public static final int CAP_INTELPERC_IMAGE_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_IR_GENERATOR

          public static final int CAP_INTELPERC_IR_GENERATOR

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_GENERATORS_MASK

          public static final int CAP_INTELPERC_GENERATORS_MASK

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_DEPTH_MAP

          public static final int CAP_INTELPERC_DEPTH_MAP

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_UVDEPTH_MAP

          public static final int CAP_INTELPERC_UVDEPTH_MAP

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_IR_MAP

          public static final int CAP_INTELPERC_IR_MAP

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC_IMAGE

          public static final int CAP_INTELPERC_IMAGE

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_PREVIEW

          public static final int CAP_PROP_GPHOTO2_PREVIEW

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_WIDGET_ENUMERATE

          public static final int CAP_PROP_GPHOTO2_WIDGET_ENUMERATE

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_RELOAD_CONFIG

          public static final int CAP_PROP_GPHOTO2_RELOAD_CONFIG

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_RELOAD_ON_CHANGE

          public static final int CAP_PROP_GPHOTO2_RELOAD_ON_CHANGE

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_COLLECT_MSGS

          public static final int CAP_PROP_GPHOTO2_COLLECT_MSGS

      See Also:
        Constant Field Values

    - #### CAP_PROP_GPHOTO2_FLUSH_MSGS

          public static final int CAP_PROP_GPHOTO2_FLUSH_MSGS

      See Also:
        Constant Field Values

    - #### CAP_PROP_SPEED

          public static final int CAP_PROP_SPEED

      See Also:
        Constant Field Values

    - #### CAP_PROP_APERTURE

          public static final int CAP_PROP_APERTURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_EXPOSUREPROGRAM

          public static final int CAP_PROP_EXPOSUREPROGRAM

      See Also:
        Constant Field Values

    - #### CAP_PROP_VIEWFINDER

          public static final int CAP_PROP_VIEWFINDER

      See Also:
        Constant Field Values

    - #### CAP_PROP_IMAGES_BASE

          public static final int CAP_PROP_IMAGES_BASE

      See Also:
        Constant Field Values

    - #### CAP_PROP_IMAGES_LAST

          public static final int CAP_PROP_IMAGES_LAST

      See Also:
        Constant Field Values

    - #### CAP_PROP_POS_MSEC

          public static final int CAP_PROP_POS_MSEC

      See Also:
        Constant Field Values

    - #### CAP_PROP_POS_FRAMES

          public static final int CAP_PROP_POS_FRAMES

      See Also:
        Constant Field Values

    - #### CAP_PROP_POS_AVI_RATIO

          public static final int CAP_PROP_POS_AVI_RATIO

      See Also:
        Constant Field Values

    - #### CAP_PROP_FRAME_WIDTH

          public static final int CAP_PROP_FRAME_WIDTH

      See Also:
        Constant Field Values

    - #### CAP_PROP_FRAME_HEIGHT

          public static final int CAP_PROP_FRAME_HEIGHT

      See Also:
        Constant Field Values

    - #### CAP_PROP_FPS

          public static final int CAP_PROP_FPS

      See Also:
        Constant Field Values

    - #### CAP_PROP_FOURCC

          public static final int CAP_PROP_FOURCC

      See Also:
        Constant Field Values

    - #### CAP_PROP_FRAME_COUNT

          public static final int CAP_PROP_FRAME_COUNT

      See Also:
        Constant Field Values

    - #### CAP_PROP_FORMAT

          public static final int CAP_PROP_FORMAT

      See Also:
        Constant Field Values

    - #### CAP_PROP_MODE

          public static final int CAP_PROP_MODE

      See Also:
        Constant Field Values

    - #### CAP_PROP_BRIGHTNESS

          public static final int CAP_PROP_BRIGHTNESS

      See Also:
        Constant Field Values

    - #### CAP_PROP_CONTRAST

          public static final int CAP_PROP_CONTRAST

      See Also:
        Constant Field Values

    - #### CAP_PROP_SATURATION

          public static final int CAP_PROP_SATURATION

      See Also:
        Constant Field Values

    - #### CAP_PROP_HUE

          public static final int CAP_PROP_HUE

      See Also:
        Constant Field Values

    - #### CAP_PROP_GAIN

          public static final int CAP_PROP_GAIN

      See Also:
        Constant Field Values

    - #### CAP_PROP_EXPOSURE

          public static final int CAP_PROP_EXPOSURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_CONVERT_RGB

          public static final int CAP_PROP_CONVERT_RGB

      See Also:
        Constant Field Values

    - #### CAP_PROP_WHITE_BALANCE_BLUE_U

          public static final int CAP_PROP_WHITE_BALANCE_BLUE_U

      See Also:
        Constant Field Values

    - #### CAP_PROP_RECTIFICATION

          public static final int CAP_PROP_RECTIFICATION

      See Also:
        Constant Field Values

    - #### CAP_PROP_MONOCHROME

          public static final int CAP_PROP_MONOCHROME

      See Also:
        Constant Field Values

    - #### CAP_PROP_SHARPNESS

          public static final int CAP_PROP_SHARPNESS

      See Also:
        Constant Field Values

    - #### CAP_PROP_AUTO_EXPOSURE

          public static final int CAP_PROP_AUTO_EXPOSURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_GAMMA

          public static final int CAP_PROP_GAMMA

      See Also:
        Constant Field Values

    - #### CAP_PROP_TEMPERATURE

          public static final int CAP_PROP_TEMPERATURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_TRIGGER

          public static final int CAP_PROP_TRIGGER

      See Also:
        Constant Field Values

    - #### CAP_PROP_TRIGGER_DELAY

          public static final int CAP_PROP_TRIGGER_DELAY

      See Also:
        Constant Field Values

    - #### CAP_PROP_WHITE_BALANCE_RED_V

          public static final int CAP_PROP_WHITE_BALANCE_RED_V

      See Also:
        Constant Field Values

    - #### CAP_PROP_ZOOM

          public static final int CAP_PROP_ZOOM

      See Also:
        Constant Field Values

    - #### CAP_PROP_FOCUS

          public static final int CAP_PROP_FOCUS

      See Also:
        Constant Field Values

    - #### CAP_PROP_GUID

          public static final int CAP_PROP_GUID

      See Also:
        Constant Field Values

    - #### CAP_PROP_ISO_SPEED

          public static final int CAP_PROP_ISO_SPEED

      See Also:
        Constant Field Values

    - #### CAP_PROP_BACKLIGHT

          public static final int CAP_PROP_BACKLIGHT

      See Also:
        Constant Field Values

    - #### CAP_PROP_PAN

          public static final int CAP_PROP_PAN

      See Also:
        Constant Field Values

    - #### CAP_PROP_TILT

          public static final int CAP_PROP_TILT

      See Also:
        Constant Field Values

    - #### CAP_PROP_ROLL

          public static final int CAP_PROP_ROLL

      See Also:
        Constant Field Values

    - #### CAP_PROP_IRIS

          public static final int CAP_PROP_IRIS

      See Also:
        Constant Field Values

    - #### CAP_PROP_SETTINGS

          public static final int CAP_PROP_SETTINGS

      See Also:
        Constant Field Values

    - #### CAP_PROP_BUFFERSIZE

          public static final int CAP_PROP_BUFFERSIZE

      See Also:
        Constant Field Values

    - #### CAP_PROP_AUTOFOCUS

          public static final int CAP_PROP_AUTOFOCUS

      See Also:
        Constant Field Values

    - #### CAP_PROP_SAR_NUM

          public static final int CAP_PROP_SAR_NUM

      See Also:
        Constant Field Values

    - #### CAP_PROP_SAR_DEN

          public static final int CAP_PROP_SAR_DEN

      See Also:
        Constant Field Values

    - #### CAP_PROP_BACKEND

          public static final int CAP_PROP_BACKEND

      See Also:
        Constant Field Values

    - #### CAP_PROP_CHANNEL

          public static final int CAP_PROP_CHANNEL

      See Also:
        Constant Field Values

    - #### CAP_PROP_AUTO_WB

          public static final int CAP_PROP_AUTO_WB

      See Also:
        Constant Field Values

    - #### CAP_PROP_WB_TEMPERATURE

          public static final int CAP_PROP_WB_TEMPERATURE

      See Also:
        Constant Field Values

    - #### CAP_PROP_CODEC_PIXEL_FORMAT

          public static final int CAP_PROP_CODEC_PIXEL_FORMAT

      See Also:
        Constant Field Values

    - #### CAP_PROP_BITRATE

          public static final int CAP_PROP_BITRATE

      See Also:
        Constant Field Values

    - #### CAP_ANY

          public static final int CAP_ANY

      See Also:
        Constant Field Values

    - #### CAP_VFW

          public static final int CAP_VFW

      See Also:
        Constant Field Values

    - #### CAP_V4L

          public static final int CAP_V4L

      See Also:
        Constant Field Values

    - #### CAP_V4L2

          public static final int CAP_V4L2

      See Also:
        Constant Field Values

    - #### CAP_FIREWIRE

          public static final int CAP_FIREWIRE

      See Also:
        Constant Field Values

    - #### CAP_FIREWARE

          public static final int CAP_FIREWARE

      See Also:
        Constant Field Values

    - #### CAP_IEEE1394

          public static final int CAP_IEEE1394

      See Also:
        Constant Field Values

    - #### CAP_DC1394

          public static final int CAP_DC1394

      See Also:
        Constant Field Values

    - #### CAP_CMU1394

          public static final int CAP_CMU1394

      See Also:
        Constant Field Values

    - #### CAP_QT

          public static final int CAP_QT

      See Also:
        Constant Field Values

    - #### CAP_UNICAP

          public static final int CAP_UNICAP

      See Also:
        Constant Field Values

    - #### CAP_DSHOW

          public static final int CAP_DSHOW

      See Also:
        Constant Field Values

    - #### CAP_PVAPI

          public static final int CAP_PVAPI

      See Also:
        Constant Field Values

    - #### CAP_OPENNI

          public static final int CAP_OPENNI

      See Also:
        Constant Field Values

    - #### CAP_OPENNI_ASUS

          public static final int CAP_OPENNI_ASUS

      See Also:
        Constant Field Values

    - #### CAP_ANDROID

          public static final int CAP_ANDROID

      See Also:
        Constant Field Values

    - #### CAP_XIAPI

          public static final int CAP_XIAPI

      See Also:
        Constant Field Values

    - #### CAP_AVFOUNDATION

          public static final int CAP_AVFOUNDATION

      See Also:
        Constant Field Values

    - #### CAP_GIGANETIX

          public static final int CAP_GIGANETIX

      See Also:
        Constant Field Values

    - #### CAP_MSMF

          public static final int CAP_MSMF

      See Also:
        Constant Field Values

    - #### CAP_WINRT

          public static final int CAP_WINRT

      See Also:
        Constant Field Values

    - #### CAP_INTELPERC

          public static final int CAP_INTELPERC

      See Also:
        Constant Field Values

    - #### CAP_REALSENSE

          public static final int CAP_REALSENSE

      See Also:
        Constant Field Values

    - #### CAP_OPENNI2

          public static final int CAP_OPENNI2

      See Also:
        Constant Field Values

    - #### CAP_OPENNI2_ASUS

          public static final int CAP_OPENNI2_ASUS

      See Also:
        Constant Field Values

    - #### CAP_GPHOTO2

          public static final int CAP_GPHOTO2

      See Also:
        Constant Field Values

    - #### CAP_GSTREAMER

          public static final int CAP_GSTREAMER

      See Also:
        Constant Field Values

    - #### CAP_FFMPEG

          public static final int CAP_FFMPEG

      See Also:
        Constant Field Values

    - #### CAP_IMAGES

          public static final int CAP_IMAGES

      See Also:
        Constant Field Values

    - #### CAP_ARAVIS

          public static final int CAP_ARAVIS

      See Also:
        Constant Field Values

    - #### CAP_OPENCV_MJPEG

          public static final int CAP_OPENCV_MJPEG

      See Also:
        Constant Field Values

    - #### CAP_INTEL_MFX

          public static final int CAP_INTEL_MFX

      See Also:
        Constant Field Values

    - #### CAP_XINE

          public static final int CAP_XINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Videoio

          public Videoio()

  - ### Method Detail

    - #### getBackendName

          public static java.lang.String getBackendName​(int api)

      Returns backend API name or "UnknownVideoAPI(xxx)"
      Parameters:
        `api` - backend ID (#VideoCaptureAPIs)
      Returns:
        automatically generated